function RtuToMsSqlCommon()
{
  var GetMsSqlConnectionInformation = function(){return RtuToMsSqlCommon.prototype._GetMsSqlConnectionInformation_();};
  var GetConnectionInformation = function(){return RtuToMsSqlCommon.prototype._GetConnectionInformation_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return RtuToMsSqlCommon.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return RtuToMsSqlCommon.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function RtuToMsSqlUpdatePage()
{
	var SaveGlobalVariable = function(Row){RtuToMsSqlUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return RtuToMsSqlUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){RtuToMsSqlUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){RtuToMsSqlUpdatePage.prototype._Initialization_();};
}










function RtuToMsSqlFirstPage()
{
  this.SetConnectionName = function(that){RtuToMsSqlFirstPage.prototype._SetConnectionName_(that);};
  this.ChangeDatabaseName = function(that){RtuToMsSqlFirstPage.prototype._ChangeDatabaseName_(that);};
  var LoadDatabaseName = function(){RtuToMsSqlFirstPage.prototype._LoadDatabaseName_();};
  var ShowApplyButton = function(index, number, Combobox){RtuToMsSqlFirstPage.prototype._ShowApplyButton_(index, number, Combobox);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RtuToMsSqlFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RtuToMsSqlFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RtuToMsSqlFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RtuToMsSqlFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){RtuToMsSqlFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return RtuToMsSqlFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return RtuToMsSqlFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return RtuToMsSqlFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllDatabaseRecord = function(){return RtuToMsSqlFirstPage.prototype._IsAllDatabaseRecord_();};
  //初始化
  this.Initialization = function(){RtuToMsSqlFirstPage.prototype._Initialization_();};
  //傳輸
  var SaveFinished = function(that, ssocket){RtuToMsSqlFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RtuToMsSqlFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.EditButton = function(that){RtuToMsSqlFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RtuToMsSqlFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){RtuToMsSqlFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){RtuToMsSqlFirstPage.prototype._ChangeCheckbox_(that);};
}










function RtuToMsSqlSecondPage()
{
  var LoadDatabaseName = function(index, DatabaseIndexInformation){RtuToMsSqlSecondPage.prototype._LoadDatabaseName_(index, DatabaseIndexInformation);};
  //變數表
  var VariableTableAddNewRow       = function(number){RtuToMsSqlSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){RtuToMsSqlSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){RtuToMsSqlSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return RtuToMsSqlSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){RtuToMsSqlSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){RtuToMsSqlSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RtuToMsSqlSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){RtuToMsSqlSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){RtuToMsSqlSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyRtuToMsSqlVariableObject= function(that){RtuToMsSqlSecondPage.prototype._ModifyRtuToMsSqlVariableObject_(that);};
  var SetFormInitialValue = function(number){RtuToMsSqlSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){RtuToMsSqlSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return RtuToMsSqlSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){RtuToMsSqlSecondPage.prototype._AllDataIsCorrect_();};
}